| FFmpegKit iOS / macOS / tvOS API 4.5

Data Fields
WriterContext Struct Reference

## Data Fields
const AVClass * | class
| class of the writer More...
const Writer * | writer
| the Writer of which this is an instance More...
char * | name
| name of this writer instance More...
void * | priv
| private data for use by the filter More...
const struct section * | sections
| array containing all sections More...
int | nb_sections
| number of sections More...
int | level
| current level, starting from 0 More...
unsigned int | nb_item [SECTION_MAX_NB_LEVELS]
const struct section * | section [SECTION_MAX_NB_LEVELS]
AVBPrint | section_pbuf [SECTION_MAX_NB_LEVELS]
unsigned int | nb_section_packet
| number of the packet section in case we are in "packets_and_frames" section More...
unsigned int | nb_section_frame
| number of the frame section in case we are in "packets_and_frames" section More...
unsigned int | nb_section_packet_frame
| nb_section_packet or nb_section_frame according if is_packets_and_frames More...
int | string_validation
char * | string_validation_replacement
unsigned int | string_validation_utf8_flags

## Detailed Description

Definition at line 465 of file fftools_ffprobe.c.

## Field Documentation

## ◆ class

const AVClass* WriterContext::class

class of the writer

Definition at line 466 of file fftools_ffprobe.c.

## ◆ level

int WriterContext::level

current level, starting from 0

Definition at line 474 of file fftools_ffprobe.c.

## ◆ name

char* WriterContext::name

name of this writer instance

Definition at line 468 of file fftools_ffprobe.c.

## ◆ nb_item

unsigned int WriterContext::nb_item[SECTION_MAX_NB_LEVELS]

number of the item printed in the given section, starting from 0

Definition at line 477 of file fftools_ffprobe.c.

## ◆ nb_section_frame

unsigned int WriterContext::nb_section_frame

number of the frame section in case we are in "packets_and_frames" section

Definition at line 485 of file fftools_ffprobe.c.

## ◆ nb_section_packet

unsigned int WriterContext::nb_section_packet

number of the packet section in case we are in "packets_and_frames" section

Definition at line 484 of file fftools_ffprobe.c.

## ◆ nb_section_packet_frame

unsigned int WriterContext::nb_section_packet_frame

nb_section_packet or nb_section_frame according if is_packets_and_frames

Definition at line 486 of file fftools_ffprobe.c.

## ◆ nb_sections

int WriterContext::nb_sections

number of sections

Definition at line 472 of file fftools_ffprobe.c.

## ◆ priv

void* WriterContext::priv

private data for use by the filter

Definition at line 469 of file fftools_ffprobe.c.

## ◆ section

const struct section* WriterContext::section[SECTION_MAX_NB_LEVELS]

section per each level

Definition at line 480 of file fftools_ffprobe.c.

## ◆ section_pbuf

AVBPrint WriterContext::section_pbuf[SECTION_MAX_NB_LEVELS]

generic print buffer dedicated to each section, used by various writers

Definition at line 481 of file fftools_ffprobe.c.

## ◆ sections

const struct section* WriterContext::sections

array containing all sections

Definition at line 471 of file fftools_ffprobe.c.

## ◆ string_validation

int WriterContext::string_validation

Definition at line 488 of file fftools_ffprobe.c.

## ◆ string_validation_replacement

char* WriterContext::string_validation_replacement

Definition at line 489 of file fftools_ffprobe.c.

## ◆ string_validation_utf8_flags

unsigned int WriterContext::string_validation_utf8_flags

Definition at line 490 of file fftools_ffprobe.c.

## ◆ writer

const Writer* WriterContext::writer

the Writer of which this is an instance

Definition at line 467 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c